[Pkg-voip-commits] r5864 - in /iaxclient/trunk/debian: changelog patches/00list patches/memory-barriers.dpatch

msp at alioth.debian.org msp at alioth.debian.org
Sat Jun 14 01:44:42 UTC 2008


Author: msp
Date: Sat Jun 14 01:44:42 2008
New Revision: 5864

URL: http://svn.debian.org/wsvn/pkg-voip/?sc=1&rev=5864
Log:
* Provide memory-barriers.dpatch from portaudio19
  - iaxclient_2.0.2-2(sparc/unstable): FTBFS: Memory barriers are not
  defined (Closes: #475809)

Added:
    iaxclient/trunk/debian/patches/memory-barriers.dpatch   (with props)
Modified:
    iaxclient/trunk/debian/changelog
    iaxclient/trunk/debian/patches/00list

Modified: iaxclient/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-voip/iaxclient/trunk/debian/changelog?rev=5864&op=diff
==============================================================================
--- iaxclient/trunk/debian/changelog (original)
+++ iaxclient/trunk/debian/changelog Sat Jun 14 01:44:42 2008
@@ -1,3 +1,11 @@
+iaxclient (2.0.2-2.1) UNRELEASED; urgency=low
+
+  * Provide memory-barriers.dpatch from portaudio19
+    - iaxclient_2.0.2-2(sparc/unstable): FTBFS: Memory barriers are not
+    defined (Closes: #475809)
+
+ -- Mark Purcell <msp at debian.org>  Sat, 14 Jun 2008 11:41:13 +1000
+
 iaxclient (2.0.2-2) unstable; urgency=low
 
   * Backport a fix from upstream to build with speex 1.2. Also depend on

Modified: iaxclient/trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-voip/iaxclient/trunk/debian/patches/00list?rev=5864&op=diff
==============================================================================
--- iaxclient/trunk/debian/patches/00list (original)
+++ iaxclient/trunk/debian/patches/00list Sat Jun 14 01:44:42 2008
@@ -3,3 +3,4 @@
 90_mixer
 powerpc
 backport-speex-1.2
+memory-barriers.dpatch

Added: iaxclient/trunk/debian/patches/memory-barriers.dpatch
URL: http://svn.debian.org/wsvn/pkg-voip/iaxclient/trunk/debian/patches/memory-barriers.dpatch?rev=5864&op=file
==============================================================================
--- iaxclient/trunk/debian/patches/memory-barriers.dpatch (added)
+++ iaxclient/trunk/debian/patches/memory-barriers.dpatch Sat Jun 14 01:44:42 2008
@@ -1,0 +1,27 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## memory-barriers.dpatch by  Mark Purcell <msp at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Pulled from portaudio19:src/common/pa_ringbuffer.c
+
+ at DPATCH@
+diff -urNad iaxclient-2.0.2~/lib/ringbuffer.c iaxclient-2.0.2/lib/ringbuffer.c
+--- iaxclient-2.0.2~/lib/ringbuffer.c	2008-06-14 11:39:15.000000000 +1000
++++ iaxclient-2.0.2/lib/ringbuffer.c	2008-06-14 11:39:54.000000000 +1000
+@@ -98,9 +98,14 @@
+ #   define rb_ReadMemoryBarrier()  OSMemoryBarrier()
+ #   define rb_WriteMemoryBarrier() OSMemoryBarrier()
+ #elif defined(__GNUC__)
+-    /* GCC understands volatile asm and "memory" to mean it
++    /* GCC >= 4.1 has built-in intrinsics. We'll use those */
++#   if (__GNUC__ > 4) || (__GNUC__ == 4 && __GNUC_MINOR__ >= 1)
++#      define rb_FullMemoryBarrier()  __sync_synchronize()
++#      define rb_ReadMemoryBarrier()  __sync_synchronize()
++#      define rb_WriteMemoryBarrier() __sync_synchronize()
++    /* as a fallback, GCC understands volatile asm and "memory" to mean it
+      * should not reorder memory read/writes */
+-#   if defined( __ppc__ ) || defined( __powerpc__ )
++#   elif defined( __ppc__ ) || defined( __powerpc__ )
+ #      define rb_FullMemoryBarrier()  asm volatile("sync":::"memory")
+ #      define rb_ReadMemoryBarrier()  asm volatile("sync":::"memory")
+ #      define rb_WriteMemoryBarrier() asm volatile("sync":::"memory")

Propchange: iaxclient/trunk/debian/patches/memory-barriers.dpatch
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-voip-commits mailing list